/**
 * Copyright © 2014-2021 The SiteWhere Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.sitewhere.search.configuration;

import com.sitewhere.microservice.multitenant.TenantEngineModule;
import com.sitewhere.search.spi.microservice.IEventSearchTenantEngine;

/**
 * Guice module used for configuring components associated with an event search
 * tenant engine.
 */
public class EventSearchTenantEngineModule extends TenantEngineModule<EventSearchTenantConfiguration> {

    public EventSearchTenantEngineModule(IEventSearchTenantEngine tenantEngine,
	    EventSearchTenantConfiguration configuration) {
	super(tenantEngine, configuration);
    }
}
